import OGIS.*;
import java.util.*;
import org.omg.CORBA.*;

/**
    Test SRS
 */

public class SRSTest {

    private static WKSPoint wks_point = new WKSPoint(1.0,1.0);


    public static SpatialReferenceSystem testSRS(
                    MainPanel                      panel,
                    SpatialReferenceSystemFactory  srsfRef,
                    String                         wkt
                    )
    {
        SpatialReferenceSystem srs = null;
        
        panel.print("\n> testing SpatialReferenceSystemFactory ..\n");

        try {
            panel.print(">     create_from_WKT()");
            srs = srsfRef.create_from_WKT( wkt );
            panel.print("> a SpatialReferenceSystem was generated.");
        } catch (Exception e){
            srs = null;
            panel.print("> ERROR !");
            e.printStackTrace();
        }
        
        return srs;
    }


}